<?php

$api_method = array_pop(explode("/", $_SERVER['REQUEST_URI']));
$incoming_data = json_decode(file_get_contents('php://input'), true);
$file = '/var/www/html/REST/EchoApp/rest.log';
file_put_contents($file,$api_method."\n",FILE_APPEND);
//process method
switch($api_method) {
    case"connect":
	$incoming_data = array(
	    'restClientConfig' => array(
		'publishStream' => array(
		    'restExclude' => '',
		    'clientExclude' => '',
		    'restOnError' => 'FAIL',
		    'restPolicy' => 'OVERWRITE',
		    'restOverwrite' => 'custom'
		    ),
		'playStream' => array(
		    'restExclude' => '',
		    'clientExclude' => '',
		    'restOnError' => 'FAIL',
		    'restPolicy' => 'OVERWRITE',
		    'restOverwrite' => 'custom'
		    ),
		'connect' => array(
		    'restExclude' => '',
		    'clientExclude' => '',
		    'restOnError' => 'FAIL',
		    'restPolicy' => 'OVERWRITE',
		    'restOverwrite' => 'custom'
		    )
		)
	    );
	break;
    case"ConnectionStatusEvent":
	break;
    case"RegistrationStatusEvent":
	break;
    case"sendXcapRequest":
	break;
    case"XcapStatusEvent":
	break;
    case"sendDtmf":
	break;
    case"call":
	break;
    case"OnCallEvent":
	break;
    case "OnDataEvent":
	break;
    case"answer":
	break;
    case"hangup":
	break;
    case"hold":
	break;
    case"unhold":
	break;
    case"transfer":
	break;
    case"OnTransferEvent":
	break;
    case"TransferStatusEvent":
	break;
    case"CallStatusEvent":
	break;
    case"sendMessage":
	break;
    case"OnMessageEvent":
	break;
    case"MessageStatusEvent":
	break;
    case"playStream":
    case"publishStream":
	foreach($incoming_data as $key=>$val) {
	    if ($key == "custom") {
		// Append fields to 'custom' object
		$incoming_data["custom"]["custom"]["id"] = uniqid();
		$incoming_data["custom"]["custom"]["group"] = "Users";
		foreach($val as $k=>$v) {
		    $incoming_data["custom"]["custom"][$k] = $v;
		    // Remove fields that were cast to plain during serialization
		    unset($incoming_data["custom"][$k]);
		}
	    } 
	}
	break;
    case"unPublishStream":
	break;
    case"stopStream":
	break;
    case"StreamStatusEvent":
	break;
    case"StreamKeepAliveEvent":
	break;
    case"subscribe":
	break;
    case"SubscriptionStatusEvent":
	break;    
    case"DataStatusEvent":
	break;
    case"submitBugReport":
	break;
    case"BugReportStatusEvent":
	break;
    case"pushLogs":
	break;
    case"RecordingStatusEvent":
	break;
    case"ErrorStatusEvent":
	break;
    case"disconnect":
	break;
}
header('Content-Type: application/json');
echo json_encode($incoming_data);



